Bug 976130 - Console should show conspicuous message if you don't have SSH keys uploaded yet
Console should show conspicuous message if you don't have SSH keys uploaded yet
Status: CLOSED UPSTREAM
Product: OpenShift Container Platform
Classification: Red Hat
Component: Website (Show other bugs)
1.2.0
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: chris alfonso
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 22:09 EDT by Tim Bielawa
Modified: 2016-01-31 21:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 10:29:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Bielawa 2013-06-19 22:09:00 EDT
Description of problem:
We've received feedback from several users having a poor experience with app creation when using the web console. Most of the time the issue comes down to the users not having had uploaded/created SSH keys yet.

I think it would cut down on service requests if some kind of conspicuous banner (or any obvious message of some sort) is displayed in in the web console instructing new users that they should create/upload SSH keys before creating any apps. (Obviously the banner should go away once they've uploaded SSH keys)


Version-Release number of selected component (if applicable):
rpm -qa | grep console
rubygem-openshift-origin-console-1.9.1-1.git.113.05ed234.el6op.noarch
openshift-origin-console-1.5.18-1.git.1110.05ed234.el6op.noarch
ruby193-rubygem-io-console-0.3-30.el6.x86_64


How reproducible:
Every time.


Steps to Reproduce:
Here's an actual report from a user we've received


Steps to reproduce:

> 1: Clear down your SSH certs. Create a new one.
> 2: Logon to OE
> 3: Create a new app
> 4: Select the JBoss EAP6 cartridge, leave the 'we will create a GIT repo 
> for you' as default
> 5: When the cartridge creates the 'next steps' page gives you a default 
> page with 'create a git repo' message, as opposed to the 'Making Code 
> Changes' page with the embedded git command (containing the appropriate 
> ssh key).
> 
> Easily fixed, you simply reload the homepage, go to settings and add a 
> public key, *but* for new people seeing it the route isn't obvious - 
> might be worth putting a step into the account creation that asks for a 
> public key, or adding some text to the default page that is displayed to 
> explain how to add the public key?


Actual results:
See above

Expected results:
Perhaps if after you have created an application and do not yet have SSH keys in the system it would prompt you to continue on to the key creation/upload step.

Additional info:
I'll leave refiling this BZ into the Origin Product Queue up to your discretion.

Attached is a mock up of the kind of UI elements I have described. HTML is simple:

> <div class="alert">Yo! Create some ssh keys before creating any apps. It's for great good!</div>

After the </header> element
Comment 2 Luke Meyer 2013-06-21 10:29:02 EDT
Certainly agree it's a good idea to do this. As it's really a feature request, I transferred this to the Origin planning board on Trello: https://trello.com/c/9iYajVgc

Please track it there.

Note You need to log in before you can comment on or make changes to this bug.